---
search:
  tags:
    - Products V2
    - GET
seo:
  description: >-
    Lists products (minimal fields) with pagination. Reference for the GET
    /api/v2/{team_slug}/{app_slug}/products endpoint in the Management API v2.
sidebar:
  label: List products
  badge: GET
title: List products
type: openapi-operation
---
Lists products (minimal fields) with pagination.

`GET /api/v2/{team_slug}/{app_slug}/products`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_name": "string",
      "product_number": "string",
      "slug": "string",
      "status": "string",
      "meta_title": "string",
      "meta_description": "string",
      "html_description": "string",
      "html_short_description": "string",
      "description": "string",
      "short_description": "string",
      "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
      "product_type": "string",
      "exclude_from_feeds": true,
      "product_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "package_dimensions": {
        "width": 0,
        "height": 0,
        "length": 0,
        "depth": 0,
        "weight": 0,
        "diameter": 0,
        "capacity_milliliter": 0
      },
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "brand": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "series": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string"
        }
      },
      "categories": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "slug": "string",
          "uri": "string",
          "title": "string",
          "is_main_category": true
        }
      ],
      "collections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "slug": "string",
          "uri": "string",
          "title": "string"
        }
      ],
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "name": "string"
        }
      ],
      "images": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "title": "string",
          "priority": 0
        }
      ],
      "videos": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "title": "string"
        }
      ],
      "files": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "title": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "variant_groups": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "images": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "url": "string",
              "title": "string",
              "priority": 0
            }
          ]
        }
      ],
      "third_party_links": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "type": "string",
          "title": "string",
          "url": "string"
        }
      ],
      "attributes": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "template_key": "string",
          "template_name": "string",
          "name": "string",
          "description": "string",
          "filterable": true,
          "translatable": true,
          "values": {
            "property1": "string",
            "property2": "string"
          }
        }
      ],
      "market_status": [
        {
          "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
          "store_group_id": "6c760e36-a704-4b09-93bb-c191a46ca67f",
          "market_slug": "string",
          "store_group_slug": "string",
          "status": "active"
        }
      ],
      "channel_statuses": [
        {
          "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
          "channel_slug": "string",
          "status": "string"
        }
      ],
      "translations": {
        "name": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "slug": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "short_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "html_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "html_short_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_title": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_description": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
